'
' Demonstrate the DOGM and ALCD libraries for use with the FireWing LCD Plus shield
'
    Device = 24HJ128GP502
    Declare Xtal = 32

    Include "DOGM.inc"                          ' Load the FireWing DOGm LCD procedures into the progam
'
' Create variables used by the demo
'   
    Dim MyContrast As Byte
    Dim MyBrightness As Word
    Dim Xpos As Byte
    Dim Ypos As Byte
'-------------------------------------------------------------------
Main:                                        
    DOGM_SetBacklight(900)                      ' Set the default backlight
'
' Adjust the contrast
'       
    For MyContrast = 0 To 31
        DOGM_SetContrast(MyContrast)
        Print At 1,1, "Contrast ", Dec MyContrast
        DelayMS 200
    Next
'
' Adjust the backlight
'
    For MyBrightness = 0 To 1024
        DOGM_SetBacklight(MyBrightness)
        Print At 2,1, "Bright ", Dec MyBrightness
        DelayMS 50
    Next
'
' Test the LCD positioning
'    
    While                                       ' Create an infinite loop
        For Ypos = 1 To 2                       ' Create a Y loop
            For Xpos = 1 To 16                  ' Create an X loop
                Print At Ypos, Xpos, "*"        ' Place an asterisk on the LCD
                DelayMS 300                     ' Delay so we can see what's happening
                Print At Ypos, Xpos, " "        ' Remove the asterisk
            Next                                ' Close the X loop
        Next                                    ' Close the Y loop
    Wend                                        ' Do it forever
    
